curl --request POST \
--url https://api-sandbox.orum.io/verify/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"account_number": "00101044595",
"routing_number": "021000021",
"account_holder_name": "John Doe",
"email": "[email protected]",
"person": {
"first_name": "John",
"last_name": "Doe",
"ssn": "123121234",
"phone_number": "+11234567890"
},
"business": {
"business_name": "Acme",
"tax_id": "123456789",
"phone_number": "+11234567890"
},
"sender_name": "Acme"
}
'import requests
url = "https://api-sandbox.orum.io/verify/accounts"
payload = {
"account_number": "00101044595",
"routing_number": "021000021",
"account_holder_name": "John Doe",
"email": "[email protected]",
"person": {
"first_name": "John",
"last_name": "Doe",
"ssn": "123121234",
"phone_number": "+11234567890"
},
"business": {
"business_name": "Acme",
"tax_id": "123456789",
"phone_number": "+11234567890"
},
"sender_name": "Acme"
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_number: '00101044595',
routing_number: '021000021',
account_holder_name: 'John Doe',
email: '[email protected]',
person: {
first_name: 'John',
last_name: 'Doe',
ssn: '123121234',
phone_number: '+11234567890'
},
business: {business_name: 'Acme', tax_id: '123456789', phone_number: '+11234567890'},
sender_name: 'Acme'
})
};
fetch('https://api-sandbox.orum.io/verify/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_number": "<string>",
"routing_number": "<string>",
"account_holder_name": "<string>",
"verification_status": "pending",
"email": "[email protected]",
"status_reason": "blocked_account",
"ownership_status": "pending",
"person": {
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"first_name_match": "match",
"last_name_match": "match",
"phone_number_match": "match",
"ssn_match": "match"
},
"business": {
"business_name": "<string>",
"phone_number": "<string>",
"business_name_match": "match",
"phone_number_match": "match",
"tax_id_match": "match"
},
"control_status": "pending",
"debit_status": "pending",
"debit_status_reason": "blocked_account",
"estimated_verification_date": "2023-07-13T00:00:00.000Z",
"sender_name": "<string>"
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Post Verify Accounts
Request account verification.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
v2022-09-21 Body
Account number for US bank account. 4 to 17 digits are acceptable.
^(?:\d-{0,1}){3,16}\d$"00101044595"
9-digit American Bankers Association (ABA) routing number.
^\d{9}$"021000021"
Name of account holder. Accepts alphanumeric characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.
1 - 255^([ ’!"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]*|)$"John Doe"
The type of verify request to make. If not provided, we will default to "status".
status, control, status_ownership, control_ownership Email address to notify once the statement code is sent to the account to verify account control.
Ownership details for a person
Show child attributes
Show child attributes
{ "first_name": "John", "last_name": "Doe", "ssn": "123121234", "phone_number": "+11234567890" }
Ownership details for a business
Show child attributes
Show child attributes
{ "business_name": "Acme", "tax_id": "123456789", "phone_number": "+11234567890" }
Name of sender initiating the verification request. This name will appear on the statement and should be recognizable to the account holder. Accepts alphanumeric characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.
1 - 255^([ ’!"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]*|)$"Acme"
Response
200 response.
Show child attributes
Show child attributes
Was this page helpful?